Subject: RE: New GCC available for testing (TRY 3) -- fixes -mno-cygwin pr oblem
From: Earnie Boyd <[email-masked]>
To: [email-masked]
Cc: cygwin users <[email-masked]>
Date: Thu, 22 Jun 2000 18:48:35 -0700 (PDT)

--- Norman Vine <[email-masked]> wrote:
> Earnie Boyd writes:
> >
> >What does `touch dummy.c; gcc -c dummy.c -E -dM' output?
> >
> 
> This begs the question that I have had in my mind lately:
> 
> What is the consensus of opinion as to the 'best' way to 
> differentiate a 'Cygwin' compile in a header file.
> 
> I have been stumbling apon this a lot recently
> #if defined( _WIN32 ) 
> 
> which IMHO breaks Cygwin
> 

Me too, and that is why I modify the specs file to only define _WIN32 and WINNT
if the -mno-cygwin switch is specified.

> and have been changing it to
> #if defined( _WIN32 ) && !defined( __CYGWIN__ )
> 
> but perhaps I should start using
> #if defined( _WIN32 ) && !defined( unix ) 
> 

Just for the record, the most recent version added -mno-win32 which you could
use and the unix define was just recently added as well.

Regards,

=====
---
   Earnie Boyd: <mailto:[email-masked]>
            __Cygwin: POSIX on Windows__
Cygwin Newbies: <http://www.freeyellow.com/members5/gw32/index.html>
           __Minimalist GNU for Windows__
  Mingw32 List: <http://www.egroups.com/group/mingw32/>
    Mingw Home: <http://www.mingw.org/>

__________________________________________________
Do You Yahoo!?
Get Yahoo! Mail - Free email you can access from anywhere!
http://mail.yahoo.com/

--
Want to unsubscribe from this list?
Send a message to [email-masked]